## e-address-western e-address-western |

## Functions

EAddressWestern * | e_address_western_parse ()
void | e_address_western_free ()

## Types and Values

| EAddressWestern

## Description

## Functions

### e_address_western_parse ()

    EAddressWestern *
    e_address_western_parse (const gchar *in_address);

Parses a string representing a mailing address into a structure of type EAddressWestern.

#### Parameters

in_address | a string representing a mailing address |

#### Returns

A new EAddressWestern structure, or `NULL` if the parsing failed.

### e_address_western_free ()

    void
    e_address_western_free (EAddressWestern *eaw);

Frees `eaw` and its contents.

#### Parameters

eaw | an EAddressWestern |

## Types and Values

### EAddressWestern

    typedef struct {
    	/* Public */
    	gchar *po_box;
    	gchar *extended;  /* I'm not sure what this is. */
    	gchar *street;
    	gchar *locality;  /* For example, the city or town. */
    	gchar *region; /* The state or province. */
    	gchar *postal_code;
    	gchar *country;
    } EAddressWestern;

Western address structure.

#### Members

gchar *`po_box`; | PO Box. |
gchar *`extended`; | TODO, we're not sure what this is. |
gchar *`street`; | Street name |
gchar *`locality`; | City or town |
gchar *`region`; | State or province |
gchar *`postal_code`; | Postal Code |
gchar *`country`; | Country |